Author Topic: Nvidia VDPAU - question  (Read 1348 times)

marttoma

  • Newbie
  • *
  • Posts: 10
    • View Profile
Nvidia VDPAU - question
« on: September 18, 2012, 10:36:06 pm »
Hello guys,

I have a question regarding to Nvidia VDPAU.

Which linuxmce version is supporting Nvidia VDPAU and which VDPAU feature set (A,B,C or D)?
For VDPAU feature set see: en.wikipedia.org/wiki/Nvidia_PureVideo
 

Thanks a lot for answer.
 
Martin

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2921
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Nvidia VDPAU - question
« Reply #1 on: September 19, 2012, 12:05:02 pm »
The supported VDPAU feature set is not something that is defined by the media application but by the nVidia driver and nVidia hardware you use. 810 and 1004 both have VDPAU support

marttoma

  • Newbie
  • *
  • Posts: 10
    • View Profile
Re: Nvidia VDPAU - question
« Reply #2 on: September 19, 2012, 10:20:25 pm »
I see, thank you for explanation. In case both i.e. 810 and 1004 support VDPAU, is there any limitation on media application in case of VDPAU feature set or this is just question of driver?

In other words, if I have a NVIDIA graphic card with feature set A,B,C or D, and I have from NVIDIA correct linux driver, does it mean any set is supported by media apps?

M.

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2921
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Nvidia VDPAU - question
« Reply #3 on: September 20, 2012, 12:32:31 pm »
Yes.

l3mce

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1081
    • View Profile
Re: Nvidia VDPAU - question
« Reply #4 on: September 21, 2012, 05:33:05 am »
There are only a handful of rev D cards, and we explicitly install a driver that supports them in that case... however... there are challenges inherent to some, requiring newer kernels, and we just don't do that atm.

If you list what your card is, I can tell you the chances it will install and vdpau will be supported out of the box.
lspci -nn | grep VGA
I never quit... I just ping out.

marttoma

  • Newbie
  • *
  • Posts: 10
    • View Profile
Re: Nvidia VDPAU - question
« Reply #5 on: September 21, 2012, 09:08:54 am »
I have currently EVGA GeForce 8400GS

I am asking such question about VDPAU support, because I would like to buy new one: ZOTAC GeForce GT610 1GB DDR3 ZONE Edition

l3mce

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1081
    • View Profile
Re: Nvidia VDPAU - question
« Reply #6 on: September 21, 2012, 02:40:31 pm »
I would put the chances of that working out of the box at 40%... chances are we can get it going, but I know the 550 requires a kernel upgrade.
I never quit... I just ping out.

marttoma

  • Newbie
  • *
  • Posts: 10
    • View Profile
Re: Nvidia VDPAU - question
« Reply #7 on: September 21, 2012, 05:06:23 pm »
Is it the Kernel upgrade needed if I would install proper linux driver from the card vendor i.e. from Nvidia?
« Last Edit: September 21, 2012, 10:46:34 pm by marttoma »

l3mce

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1081
    • View Profile
Re: Nvidia VDPAU - question
« Reply #8 on: September 21, 2012, 11:04:41 pm »
We install the correct nvidia driver... and yes. The 550 will simply not work on Lucid's kernel.

I do not know that the 610 won't... but I am not going to tell someone to buy an untested piece of hardware because everything else except the number closest to theirs works ootb.


I never quit... I just ping out.

marttoma

  • Newbie
  • *
  • Posts: 10
    • View Profile
Re: Nvidia VDPAU - question
« Reply #9 on: September 22, 2012, 12:11:19 am »
Aha, ok, I see. Thanks a lot.